## mew 6.9

=== elisp/Makefile ===
##
### Makefile.in for byte-compile
###
### Author:  Mew developing team
### Created: Nov 18, 1994
### Revised: Feb 10, 2023

################################################################
##
## DO NOT EDIT THE FOLLOWINGS
##

OBJS =	mew-addrbook.elc	mew-attach.elc		mew-auth.elc	\
	mew-blvs.elc		mew-bq.elc		mew-cache.elc	\
	mew-complete.elc	mew-config.elc		mew-const.elc	\
	mew-decode.elc		mew-demo.elc		mew-draft.elc	\
	mew-edit.elc		mew-encode.elc		\
	mew-env.elc		mew-env0.elc	\
	mew-ext.elc		mew-fib.elc		mew-func.elc	\
	mew-gemacs.elc		mew-header.elc		mew-highlight.elc \
	mew-imap.elc		mew-imap2.elc		mew-key.elc	\
	mew-lang-jp.elc		mew-lang-kr.elc		mew-lang-latin.elc \
	mew-local.elc		mew-mark.elc		\
	mew-message.elc		mew-mime.elc		mew-minibuf.elc	\
	mew-mule.elc		mew-mule3.elc	\
	mew-net.elc		mew-nntp.elc		mew-nntp2.elc	\
	mew-pgp.elc		mew-pick.elc		mew-pop.elc	\
	mew-refile.elc		mew-scan.elc		mew-smime.elc	\
	mew-search.elc		mew-smtp.elc		mew-sort.elc	\
	mew-ssh.elc		mew-ssl.elc		mew-passwd.elc	\
	mew-summary.elc		mew-summary2.elc	mew-summary3.elc \
	mew-summary4.elc	mew-syntax.elc		\
	mew-thread.elc		mew-unix.elc		\
	mew-vars.elc		mew-vars2.elc		mew-vars3.elc	\
	mew-varsx.elc		mew-virtual.elc		\
	mew-win32.elc		mew-exec.elc	\
	mew-darwin.elc		mew.elc

SRCS =	mew-addrbook.el	mew-attach.el	mew-auth.el	\
	mew-blvs.el	mew-bq.el	mew-cache.el	\
	mew-complete.el	mew-config.el	mew-const.el	\
	mew-decode.el	mew-demo.el	mew-draft.el	\
	mew-edit.el	mew-encode.el	\
	mew-env.el	mew-env0.el	\
	mew-ext.el	mew-fib.el	mew-func.el	\
	mew-gemacs.el	mew-header.el	mew-highlight.el \
	mew-imap.el	mew-imap2.el	mew-key.el	\
	mew-lang-jp.el	mew-lang-kr.el	mew-lang-latin.el \
	mew-local.el	mew-mark.el	\
	mew-message.el	mew-mime.el	mew-minibuf.el	\
	mew-mule.el	mew-mule3.el	\
	mew-net.el	mew-nntp.el	mew-nntp2.el	\
	mew-pgp.el	mew-pick.el	mew-pop.el	\
	mew-refile.el	mew-scan.el	mew-smime.el	\
	mew-search.el	mew-smtp.el	mew-sort.el	\
	mew-ssh.el	mew-ssl.el	mew-passwd.el	\
	mew-summary.el	mew-summary2.el	mew-summary3.el	\
	mew-summary4.el	mew-syntax.el	\
	mew-thread.el	mew-unix.el	\
	mew-vars.el	mew-vars2.el	mew-vars3.el	\
	mew-varsx.el	mew-virtual.el	\
	mew-win32.el	mew-exec.el	\
	mew-darwin.el	mew.el

TEMPFILE  = temp.el
TEMPFILE2 = temp2.el
DETECT = emacs

CP = cp
RM = rm -f
MKDIR = mkdir -p
# To save Emacses on Windows
PWD =

CNF = config.h config.status config.cache config.log configure.lineno
MK  = Makefile

DESTDIR =

################################################################

all: $(OBJS)

install: install-elisp

################################################################

$(OBJS): el
el: $(TEMPFILE) mew.el
	@echo 'Compiling EL files of Mew ... '
	@echo 'PLEASE IGNORE WARNINGS IF DISPLAYED. TAKE IT EASY!'
	$(EMACS) -batch -q -no-site-file -l ./$(TEMPFILE) -f mew-compile
	@echo 'Compiling EL files of Mew ... done'

$(TEMPFILE):
	@echo '(setq mew-compiling t)' > $(TEMPFILE)
	@echo '(setq load-path (cons "." load-path))' >> $(TEMPFILE)
	@echo '(defun mew-compile () (mapcar (lambda (x) (byte-compile-file x)) (list ' >> $(TEMPFILE)
	@echo $(OBJS) | sed -e 's/\(mew[^ ]*\.el\)c/"\1"/g'  >> $(TEMPFILE)
	@echo ')))' >> $(TEMPFILE)

install-elisp: $(OBJS)
	-@if [ ! -d $(DESTDIR)$(elispdir) ]; then \
		$(MKDIR) $(DESTDIR)$(elispdir); \
	fi
	$(CP) $(SRCS) $(DESTDIR)$(elispdir)
	$(CP) $(OBJS) $(DESTDIR)$(elispdir)

################################################################

detect: $(TEMPFILE2) mew.el
	@echo 'Compiling EL files of Mew ... '
	$(DETECT) -batch -q -no-site-file -l ./$(TEMPFILE2) -f mew-compile
	@echo 'Compiling EL files of Mew ... done'

$(TEMPFILE2):
	@echo '(setq mew-compiling t)' > $(TEMPFILE2)
	@echo '(setq load-path (cons "." load-path))' >> $(TEMPFILE2)
	@echo '(setq hack-local-variables-hook (lambda () (setq lexical-binding t)))' >> $(TEMPFILE2)
	@echo "(defun mew-compile () (mapcar (lambda (x) (byte-compile-file (symbol-name x))) '($(SRCS))))" >> $(TEMPFILE2)

################################################################

clean:
	$(RM) *.elc $(TEMPFILE) $(TEMPFILE2)

distclean:
	$(RM) *.elc $(TEMPFILE) $(TEMPFILE2)

##
## End of Makefile
##

=== debian/changelog ===
mew (1:6.9-1) experimental; urgency=medium

  * New upstream version 6.9
  * Don't set no-native-compile to native compile with Emacs 28
  * Use shell functions for PACKAGE and CHG_SUFFIX
  * Drop debian/patches except 010_contrib and 020_locale-utf8
  * Drop emacs25 and emacs24
  * Adjust renamed files for Mew 6.9
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Tue, 14 Feb 2023 20:10:12 +0900

mew (1:6.8-17) unstable; urgency=medium

  * Enable inhibit-automatic-native-compilation when byte-compiling
  * Enable byte-compile-warnings when byte-compiling
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 08 Jan 2023 22:23:30 +0900

mew (1:6.8-16) unstable; urgency=medium

  [ Jenkins ]
  * Use secure URI in Homepage field.
  * Update renamed lintian tag names in lintian overrides.
  * Update standards version to 4.6.0, no changes needed.
  * Remove empty maintainer scripts: mew (prerm), mew (postinst)

  [ Debian Janitor ]
  * Update lintian override info format in d/mew-bin.lintian-overrides
  * Update standards version to 4.6.1, no changes needed.
  * Remove constraints unnecessary since buster (closes: #1013833)

  [ Tatsuya Kinoshita ]
  * New patch 160_dotimes.patch to avoid non-lexbind dotimes for Emacs 29
  * Remove unnecessary gnupg2 dependency
  * Avoid egrep in maintainer scripts
  * Update debian/copyright
  * Leave a compilation log
  * Prevent native compilation when byte-compiling
  * Relax dependencies on emacs flavors
  * Update debian/copyright to integrate contrib into debian/patches
  * Update Standards-Version to 4.6.2

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 17 Dec 2022 14:52:55 +0900

mew (1:6.8-15) unstable; urgency=medium

  * Use command -v instead of which in mewstunnel
  * Update no-native-compile handling

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 21 Aug 2021 16:57:59 +0900

mew (1:6.8-14) unstable; urgency=medium

  * New patch 140_imap-fetch.patch to prevent redundant blank line
  * New patch 150_cache-save.patch to fix misuse of decode-syntax
  * Set mew-field-comment to empty as workaround for Gmail
  * Update documents for SSL/TLS
  * Set no-native-compile to t in *.el files for Emacs 28

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 15 Aug 2021 21:19:23 +0900

mew (1:6.8-13) unstable; urgency=medium

  * New patch 020_locale-utf8.patch to use the C.UTF-8 locale
  * Update dot.mew-theme-subdued.el
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 06 Feb 2021 14:23:43 +0900

mew (1:6.8-12) unstable; urgency=medium

  * New patch 130_smtp-ssl-port.patch to correct Smtplog
  * Add dot.mew-theme-subdued.el to examples
  * Update debian/copyright
  * Update README.Debian for STARTTLS

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 31 Jan 2021 17:46:00 +0900

mew (1:6.8-11) unstable; urgency=medium

  * New patch 110_autocrypt.patch to hide the Autocrypt header
  * New patch 120_header-max.patch to increase mew-header-max-length
  * Update README.Debian to mention mew-dcc and mew-proto
  * Update README.Debian for TLS/SSL and OpenSSL ciphers
  * Add sample configuration for OpenSSL ciphers to emacsen-startup

 -- Tatsuya Kinoshita <tats@debian.org>  Fri, 22 Jan 2021 21:53:32 +0900

mew (1:6.8-10) unstable; urgency=medium

  * New patch 090_x-mailer.patch for Emacs micro version
  * New patch 100_pgp-export.patch to fix mew-attach-pgp-public-key
  * Update README.Debian for TLS/SSL

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 17 Jan 2021 09:28:46 +0900

mew (1:6.8-9) unstable; urgency=medium

  * Don't install XEmacs specific contrib/mew-toolbar-frame.el
  * Update debian/copyright

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 09 Jan 2021 08:25:26 +0900

mew (1:6.8-8) unstable; urgency=medium

  * Set mew-image-alist for Netpbm 10.0 in emacsen-startup
  * Drop 020_netpbm.patch
  * Update debian/copyright
  * Update debian/watch to version 4
  * Update Standards-Version to 4.5.1

 -- Tatsuya Kinoshita <tats@debian.org>  Sun, 03 Jan 2021 23:39:45 +0900

mew (1:6.8-7) unstable; urgency=medium

  * New patch 080_coding-priority.patch for Emacs 28
  * Add debian/upstream/metadata
  * Update debhelper-compat to 13
  * No longer recompile mhc

 -- Tatsuya Kinoshita <tats@debian.org>  Sat, 05 Sep 2020 10:12:47 +0900

=== debian/control ===
Source: mew
Section: mail
Priority: optional
Maintainer: Tatsuya Kinoshita <tats@debian.org>
Build-Depends: debhelper-compat (= 13), zlib1g-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian/mew
Vcs-Git: https://salsa.debian.org/debian/mew.git
Homepage: https://www.mew.org/
Rules-Requires-Root: binary-targets

Package: mew
Section: lisp
Architecture: all
Depends: mew-bin, emacsen-common, ${misc:Depends}
Recommends: emacs-nox | emacs
Suggests: sensible-utils, w3m-el, gnupg | gnupg1, gpgsm, ssh, wv, xlhtml, ppthtml, compface, netpbm, x-face-el, mu-cite, mule-ucs, bogofilter | bsfilter | spamassassin, hyperestraier, namazu2, namazu2-index-tools, mhc
Replaces: mew-beta
Conflicts: mew-beta
Provides: mail-reader, imap-client, news-reader
Description: mail reader supporting PGP/MIME for Emacs
 Mew (Messaging in the Emacs World) is a user interface for text messages,
 multimedia messages (MIME), news articles and security functionality
 including PGP, S/MIME, SSH and SSL.
 .
 The features of Mew are as follows:
 .
  - POP, SMTP, NNTP and IMAP are supported.
  - You can easily display a very complicated structured message.
  - You can start to read messages before they are all fully listed.
  - For refiling, default folders are neatly suggested.
  - You can complete field names, e-mail addresses, receiver's names,
    domain names and folder names.
  - You can easily search messages with keywords etc.
  - Thread, a mechanism to display the flow of messages, is supported.

Package: mew-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: stunnel4 | stunnel, ca-certificates, ruby, ruby-sqlite3
Suggests: hyperestraier
Enhances: mew, gnupg-agent
Replaces: mew-beta-bin
Conflicts: mew-beta-bin
Provides: mail-reader, pinentry
Description: external commands for Mew
 The mew-bin package contains external commands for the mew package.
 .
  - mewencode: encode/decode MIME objects
  - mewl: extract necessary fields from messages stored in folders
  - incm: incorporate new mails from maildir or mbox to Mew's inbox folder
  - mewest: update indexes of Hyper Estraier
  - mew-pinentry: front end of gpg-agent to ask a passphrase to a user
  - mewstunnel: wrapper script for using stunnel
  - cmew: create Mew's database file
  - smew: search related messages from Mew's database file

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_OPTIONS

PACKAGE := $(shell sed -n '/^Source:/{s/.*: //;p;q}' debian/control)
PKGSNAME=mew
CHG_SUFFIX := $(shell ls -1 CHANGES/v*.md | sed 's!CHANGES/v!!' | sort -n -t . -k 1,1 -k 2,2 -k 3 | tail -1)

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
CFLAGS=$(shell $(dpkg_buildflags) --get CFLAGS)
CPPFLAGS=$(shell $(dpkg_buildflags) --get CPPFLAGS)
LDFLAGS=$(shell $(dpkg_buildflags) --get LDFLAGS)

configure-stamp: configure
	dh_testdir
	CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr --infodir=/usr/share/info --mandir=/usr/share/man --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/README.Debian.in > debian/README.Debian
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/dirs.in > debian/dirs
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-install.in > debian/emacsen-install
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-remove.in > debian/emacsen-remove
	sed -e "s/@PACKAGE@/$(PACKAGE)/g" debian/emacsen-startup.in > debian/emacsen-startup
	ls -1 API* LICENSE.ja RELEASENOTE* > debian/docs
	ls -1 debian/dot.* conf/dot.* > debian/examples
	ls -1 info/mew.*info* > debian/info
	touch $@

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE) bin
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp debian/README.Debian debian/dirs debian/emacsen-install debian/emacsen-remove debian/emacsen-startup debian/docs debian/examples debian/info
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-arch install-indep
install-indep: DH_OPTIONS=-i
install-indep:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	cp elisp/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)
	cp -r etc/* debian/$(PACKAGE)/usr/share/pixmaps/$(PKGSNAME)
	if [ -d contrib ]; then \
	  mkdir debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
	  cp contrib/mew*.el debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib; \
	  rm -f debian/$(PACKAGE)/usr/share/$(PKGSNAME)/contrib/mew-toolbar-frame.el; \
	fi

install-arch: DH_OPTIONS=-a
install-arch:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(PACKAGE)-bin install-bin
	install -m 755 debian/mewstunnel debian/$(PACKAGE)-bin/usr/bin
	install -m 644 debian/mewstunnel.1 debian/$(PACKAGE)-bin/usr/share/man/man1
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewdecode
	rm -f debian/$(PACKAGE)-bin/usr/bin/mewcat
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewdecode.1*
	rm -f debian/$(PACKAGE)-bin/usr/share/man/man1/mewcat.1*

binary-indep: DH_OPTIONS=-i
binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installemacsen
	dh_installman
	dh_installinfo
	dh_installchangelogs CHANGES/v$(CHG_SUFFIX)
	dh_link -p$(PACKAGE) usr/share/pixmaps/$(PKGSNAME) usr/share/$(PKGSNAME)/etc
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: DH_OPTIONS=-a
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installman
	dh_installinfo
	dh_installchangelogs CHANGES/v$(CHG_SUFFIX)
	dh_strip
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewdecode
	dh_link -p$(PACKAGE)-bin usr/bin/mewencode usr/bin/mewcat
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewdecode.1
	dh_link -p$(PACKAGE)-bin usr/share/man/man1/mewencode.1 usr/share/man/man1/mewcat.1
	dh_compress
	dh_fixperms
	chgrp mail debian/$(PACKAGE)-bin/usr/bin/incm
	chmod g+s  debian/$(PACKAGE)-bin/usr/bin/incm
	dh_lintian
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch build-indep build-arch
